Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.springframework.config.java.plugin
Enum ProxyTargetClass

    java.lang.Object
      java.lang.Enum<ProxyTargetClass>
          org.springframework.config.java.plugin.ProxyTargetClass

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ProxyTargetClass>

    public enum ProxyTargetClass

extends java.lang.Enum<ProxyTargetClass>

TODO: JAVADOC

Enum Constant Summary
`FALSE`
`TRUE`
`UNSPECIFIED`

Method Summary
`static ProxyTargetClass` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ProxyTargetClass[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNSPECIFIED

    public static final ProxyTargetClass UNSPECIFIED

### TRUE

    public static final ProxyTargetClass TRUE

### FALSE

    public static final ProxyTargetClass FALSE

Method Detail

### values

    public static ProxyTargetClass[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ProxyTargetClass c : ProxyTargetClass.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ProxyTargetClass valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD